unit WebNewTenderFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TWebNewTenderForm = class(TForm)
    btnOK: TButton;
    btnCancel: TButton;
    lbl1: TLabel;
    edtKey: TEdit;
    lbl2: TLabel;
    edtTenderName: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure edtKeyKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses ConstUnit;

{$R *.dfm}

procedure TWebNewTenderForm.FormCreate(Sender: TObject);
begin
  if G_IsTest then
  begin
    edtKey.Text := '31kyI7UwUI'; // ±¾µØ
    edtTenderName.Text := FormatDateTime('yyyymmdd_', Now);
  end;
end;

procedure TWebNewTenderForm.edtKeyKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = 13 then
  begin
    if (edtKey.Text <> '') and (edtTenderName.Text <> '') then
      ModalResult := mrOk;
  end;
end;

end.
